#include "Application.h"

//-----------------------------------------------------------------------------
// Application
//-----------------------------------------------------------------------------
IMPLEMENT_APP(Application)

bool Application::OnInit()
{
	// registry key: HKEY_CURRENT_USER/Software/VendorName/AppName/
	SetVendorName(wxT("DansanSoft"));
	do {
		FrameMain *pFrame = new FrameMain(NULL);
		SetTopWindow(pFrame);
		_pFrameMain = pFrame;
	} while (0);
	do {
		FrameScribble *pFrame = new FrameScribble(GetTopWindow());
		_pFrameScribble = pFrame;
	} while (0);
	_pFrameMain->Show();
	return true;
}


